type Mode = 'normal' | 'strict';
type ListName = 'blacklist' | 'whitelist' | 'graylist';
interface CheckOptions {
    mode?: Mode;
}
interface CheckResult {
    burner: boolean;
    domain: string | null;
    list: ListName | null;
    reason: 'invalid-email' | 'whitelisted' | 'blacklisted' | 'graylisted-strict' | 'graylisted-normal' | 'unknown';
}
declare function check(email: string, options?: CheckOptions): CheckResult;
declare function isBurner(email: string, options?: CheckOptions): boolean;
declare function addToBlacklist(domain: string): void;
declare function addToWhitelist(domain: string): void;
declare function removeFromBlacklist(domain: string): boolean;
declare function removeFromWhitelist(domain: string): boolean;
declare function getListSizes(): {
    blacklist: number;
    whitelist: number;
    graylist: number;
};

export { type CheckOptions, type CheckResult, type ListName, type Mode, addToBlacklist, addToWhitelist, check, getListSizes, isBurner, removeFromBlacklist, removeFromWhitelist };
